Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 427336 - x11-drivers/xf86-input-evdev-2.7.0 - Lenovo W510 (Synaptics) Touchpad doesn't work
Summary: x11-drivers/xf86-input-evdev-2.7.0 - Lenovo W510 (Synaptics) Touchpad doesn't...
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Gilles Dartiguelongue
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-20 15:18 UTC by Brian ODonnell
Modified: 2017-01-26 06:09 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian ODonnell 2012-07-20 15:18:48 UTC
I recently upgraded from x11-drivers/xf86-input-evdev-2.6.0 to x11-drivers/xf86-input-evdev-2.7.0 and the Synaptics touchpad on my W510 stopped functioning. The buttons work, but the pad itself is unresponsive. Downgrading back to 2.6.0 restored functionality.

Here is what the X.org log had to say about 2.7.0:


[    41.927] (II) LoadModule: "evdev"
[    41.927] (II) Loading /usr/lib64/xorg/modules/input/evdev_drv.so
[    41.971] (II) Module evdev: vendor="X.Org Foundation"
[    41.971]    compiled for 1.12.2, module version = 2.7.0
[    41.971]    Module class: X.Org XInput Driver
[    41.971]    ABI class: X.Org XInput driver, version 16.0
[    41.971] (II) Using input driver 'evdev' for 'Power Button'
...

[    42.023] (II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/event1)
[    42.023] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "evdev touchpad catchall"
[    42.023] (II) Using input driver 'evdev' for 'SynPS/2 Synaptics TouchPad'
[    42.023] (**) SynPS/2 Synaptics TouchPad: always reports core events
[    42.023] (**) evdev: SynPS/2 Synaptics TouchPad: Device: "/dev/input/event1"
[    42.023] (--) evdev: SynPS/2 Synaptics TouchPad: Vendor 0x2 Product 0x7
[    42.023] (--) evdev: SynPS/2 Synaptics TouchPad: Found 3 mouse buttons
[    42.023] (--) evdev: SynPS/2 Synaptics TouchPad: Found absolute axes
[    42.023] (--) evdev: SynPS/2 Synaptics TouchPad: Found absolute multitouch axes
[    42.023] (--) evdev: SynPS/2 Synaptics TouchPad: Found x and y absolute axes
[    42.023] (--) evdev: SynPS/2 Synaptics TouchPad: Found absolute touchpad.
[    42.023] (II) evdev: SynPS/2 Synaptics TouchPad: Configuring as touchpad
[    42.023] (**) evdev: SynPS/2 Synaptics TouchPad: YAxisMapping: buttons 4 and 5
[    42.023] (**) evdev: SynPS/2 Synaptics TouchPad: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[    42.023] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/input/input1/event1"
[    42.023] (II) XINPUT: Adding extended input device "SynPS/2 Synaptics TouchPad" (type: TOUCHPAD, id 13)
[    42.023] (II) evdev: SynPS/2 Synaptics TouchPad: initialized for absolute axes.
[    42.023] (**) SynPS/2 Synaptics TouchPad: (accel) keeping acceleration scheme 1
[    42.023] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration profile 0
[    42.023] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration factor: 2.000
[    42.023] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration threshold: 4
[    42.024] (II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/mouse0)
[    42.024] (II) No input driver specified, ignoring this device.
[    42.024] (II) This device may have been added with another device file.
Comment 1 Jeroen Roovers gentoo-dev 2012-07-21 15:09:53 UTC
Does it work with x11-drivers/xf86-input-synaptics installed?
Comment 2 Brian ODonnell 2012-07-21 15:17:55 UTC
(In reply to comment #1)
> Does it work with x11-drivers/xf86-input-synaptics installed?

I have no idea. Evdev has always been adequate. I can try it later and let you knoe, but why is that relevant?
Comment 3 Chí-Thanh Christopher Nguyễn gentoo-dev 2012-07-21 19:06:18 UTC
You could check whether xf86-input-evdev-9999 from the x11 overlay works or not. If not, it would be a good idea to report this at https://bugs.freedesktop.org/ too.

If you can, use git bisect to find the commit that broke your touchpad (or the commit that fixed it again).
Comment 4 Brian ODonnell 2012-07-23 12:36:01 UTC
I installed the synaptics driver, and X uses this now instead, so my situation is "fixed", however it doesn't address why evdev stopped working between 2.6.0 and 2.7.0.